<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Select-mysql.aspx.cs" Inherits="_SelectMysql" %>
<%@ Import Namespace="System.Data" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Select from MySQL database</title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>SELECT just one value from a table in a database</h1>
    When the user enters a username in the textbox and klicks the button we select just one value, username, from
    the users table in the database to check if the username already exists.<br />
        <br />
        <asp:TextBox ID="txtUserName" runat="server"></asp:TextBox>
        <asp:Button ID="BtnCheckUserName" runat="server" Text="Check username" OnClick="BtnCheckUserName_Click" />
        <asp:Label ID="UserNameLabel" runat="server" Text="" Width="159px"></asp:Label>
        
    <h1>SELECT to a repeater by using MySqlDataReader</h1>
    When the user clicks the button we select data from a table to a repeater by using a MySqlDataReader.<br />
        <br />
        <asp:Button ID="btnGetData" runat="server" Text="Get data" OnClick="btnGetData_Click" /><br />
        <br />
        <asp:Repeater ID="SelectToRepeaterDataReader" runat="server">
            <HeaderTemplate>
                <table border="0" width="1024px" cellpadding="2" cellspacing="0" style="border: solid 1px silver">
                    <tr class="menu" style="height:20px">
                        <th>Place</th>
                        <th>AssetID</th>
                        <th>Name</th>
                        <th>Ver. #</th>
                        <th>Supplier</th>
                        <th style="text-align:center">Counted</th>
                        <th>Sign.</th>
                        <th>Comment</th>
                    </tr>
            </HeaderTemplate>
            <ItemTemplate>
                    <tr>
                        <td><asp:Literal ID="PlaceLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Place")%>'></asp:Literal></td>
                        <td><asp:Literal ID="AssetOwnIDLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "AssetOwnID")%>'></asp:Literal></td>
                        <td><asp:Literal ID="AssetNameLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "AssetName")%>'></asp:Literal></td>
                        <td><asp:Literal ID="VerNumberLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "VerNumber")%>'></asp:Literal></td>
                        <td><asp:Literal ID="SupplierLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Supplier")%>'></asp:Literal></td>
                        <td style="text-align:center"><asp:Literal ID="InventCheckBox" runat="server" Text="[  ]"></asp:Literal></td>
                        <td><asp:Literal ID="SignLiteral" runat="server" Text="..............."></asp:Literal></td>
                        <td><asp:Literal ID="CommentLiteral" runat="server" Text="......................."></asp:Literal></td>
                    </tr>
            </ItemTemplate>
            <FooterTemplate>
            </table>
            </FooterTemplate>
        </asp:Repeater>  
        <h1>SELECT just one row to a form by using a MySqlDataReader</h1>
        When the user clicks the button we select one row from a table to this form by using a MySqlDataReader.<br />
        <br />
        Username: <asp:TextBox ID="txtUserName2" runat="server"></asp:TextBox>
        <asp:Button ID="btnGetUserData" runat="server" Text="Get user data" OnClick="btnGetUserData_Click" /><br />
        <br />
        <table width="560">
            <tr>
                <td style="width: 180px">Userid:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtUserID" runat="server" Width="95%" ReadOnly="True"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">E-mail:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="TextBox1" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                    </td>
            </tr>
            <tr>
                <td style="width: 180px">Company / Name:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtCompanyName" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                    </td>
            </tr>
            <tr>
                <td style="width: 180px">Organization number</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtOrganisationNumber" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">Contact:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtContact" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">C/O or attention:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtAttention" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">Box or street address:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtAdress" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">Postal code</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtPostalCode" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">City:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtCity" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
            <tr>
                <td style="width: 180px">Country:</td>
                <td style="width: 180px">
                    <asp:TextBox ID="txtCountry" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 200px">
                </td>
            </tr>
        </table>
        
    <h1>SELECT to repeater with the use of a dataset</h1>
    This is an example when we in the moment after the user has entered enddate and klicked the button
    selects data from two tables and gets the data to a dataset. By using the dataset we are able to bind the data to
    a parent repeater control and then to a child repeater control to create groups with subgroups.<br />
        <br />
        Enter enddate:<asp:TextBox ID="txtEndDate" CssClass="textbox" runat="server"></asp:TextBox>
        <asp:Button ID="BtnSelectAssets" CausesValidation="true" ValidationGroup="PrintReport" CssClass="button" runat="server" Text="Create report" OnClick="BtnSelectAssets_Click" /><br />
        <asp:RequiredFieldValidator ID="EndDateRequired" runat="server" ControlToValidate="txtEndDate"
        Display="Dynamic" ErrorMessage="* Enddate must be entered" Width="216px" ValidationGroup="PrintReport">* Enddate must be entered</asp:RequiredFieldValidator>
        <asp:CompareValidator ID="DateCheck" runat="server" ControlToValidate="txtEndDate"
        Display="Dynamic" ErrorMessage="* Date must be entered as yyyy-mm-dd" Operator="DataTypeCheck" Type="Date" ValueToCompare="yyyy-MM-dd" EnableTheming="True" ValidationGroup="PrintReport" SetFocusOnError="True"></asp:CompareValidator>
        <br />
        
        <!-- start parent repeater -->
        <asp:repeater id="parentRepeater" runat="server">
        <HeaderTemplate>
        <table border="0" width="1024px" cellpadding="0" cellspacing="0" style="border: solid 1px silver">
                    <tr class="menu" style="height:20px">
                    <th>AssetID</th>
                    <th>Name</th>
                    <th>Purch. date</th>
                    <th style="text-align:right">Cost</th>
                    <th style="text-align:right">IB acc. depr.</th>
                    <th style="text-align:right">Year deprication</th>
                    <th style="text-align:right">Acc. depr.</th>
                    <th style="text-align:right">Book value</th>
                    </tr>
        </HeaderTemplate>
            <itemtemplate>
            <tr id="AccountRow" runat="server" visible='<%#!(DataBinder.Eval(Container.DataItem, "PPTotalt") == DBNull.Value)%>'>
            <td colspan="8" style="font-weight:bold"><asp:Label ID="AssetAccountLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "AssetAccount")%>'></asp:Label>&nbsp;
            <asp:Label ID="AssetTypeNameLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "TypeName")%>'></asp:Label></td>
            </tr>
          <!-- start child repeater -->
          <asp:repeater id="childRepeater" datasource='<%#((DataRowView)Container.DataItem).Row.GetChildRows("assetsrelation")%>' runat="server">
                <itemtemplate>
                    <tr>
                        <td><asp:Literal ID="AssetOwnIDLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["AssetOwnID"]%>'></asp:Literal></td>
                        <td><asp:Literal ID="AssetNameLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["AssetName"]%>'></asp:Literal></td>
                        <td><asp:Literal ID="PurchaseDateLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["PurchaseDate"]%>'></asp:Literal></td>
                        <td style="text-align:right"><asp:Literal ID="PurchasePriceLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["PurchasePrice"]%>'></asp:Literal></td>
                        <td style="text-align:right"><asp:Literal ID="YearIBLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["YearIB"]%>'></asp:Literal></td>
                        <td style="text-align:right"><asp:Literal ID="YearDepLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["YearDep"]%>'></asp:Literal></td>
                        <td style="text-align:right"><asp:Literal ID="SumAckDepricationLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["SumAckDeprication"]%>'></asp:Literal></td>
                        <td style="text-align:right"><asp:Literal ID="AccountedValueLiteral" runat="server" Text='<%#((DataRowView)Container.DataItem)["AccountedValue"]%>'></asp:Literal></td>
                    </tr>
                </itemtemplate>
          </asp:repeater>
          <!-- end child repeater -->
                    <tr id="RowToHide" runat="server" visible='<%#!(DataBinder.Eval(Container.DataItem, "PPTotalt") == DBNull.Value)%>'>
                        <td style="font-weight:bold">Sum:</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td style="text-align:right; font-weight:bold"><asp:Literal ID="PPpriceLabel" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "PPTotalt", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                        <td style="text-align:right; font-weight:bold"><asp:Literal ID="IBTotalLabel" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "IBtotalt", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                        <td style="text-align:right; font-weight:bold"><asp:Literal ID="YearDepLabel" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "YearDepTotalt", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                        <td style="text-align:right; font-weight:bold"><asp:Literal ID="AckDepLabel" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "AckDepTotalt", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                        <td style="text-align:right; font-weight:bold"><asp:Literal ID="AccTotalLabel" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "AccValueTotalt", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                    </tr>
                    <tr id="EmptyRow" runat="server" visible='<%#!(DataBinder.Eval(Container.DataItem, "PPTotalt") == DBNull.Value)%>'>
                    <td colspan="8">&nbsp;</td>
                    </tr>
       </itemtemplate>                  
       <FooterTemplate>   
            </table>
       </FooterTemplate>
    </asp:repeater>
    <!-- end parent repeater -->
    <br />
        <asp:HiddenField ID="HiddenCompanyID" runat="server" />
        <asp:HiddenField ID="HiddenYearID" runat="server" />
        <asp:HiddenField ID="HiddenCompanyName" runat="server" />
    </form>
</body>
</html>
